package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseData;
import com.ruoyi.common.core.validate.Groups;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author lsw
 * @date 2024-07-18
 */
@Data
@TableName(value = "tb_follow_record")
@Accessors(chain = true)
public class FollowRecord extends BaseData {
    private static final long serialVersionUID = 1L;

    private Long id;


    @NotNull(message = "推送类型不能为空", groups = {Groups.Add.class, Groups.Edit.class})
    @ApiModelProperty(value = "提醒类型:0=复诊,1=回访")
    private Integer type;

    @ApiModelProperty(value = "患者id")
    private Long patientId;

    @ApiModelProperty(value = "患者姓名")
    private String patientName;

    @NotBlank(message = "模板名称或提醒标题不能为空", groups = {Groups.Add.class, Groups.Edit.class})
    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @NotBlank(message = "回访内容或者提醒内容不能为空", groups = {Groups.Add.class, Groups.Edit.class})
    @ApiModelProperty(value = "回访内容")
    private String op;

    @ApiModelProperty(value = "状态:0=未回访,1=已回访")
    private Integer state;

    @NotNull(message = "指定患者不能为空", groups = {Groups.Add.class})
    @TableField(exist = false)
    private List<Patient> patientList;
}
